/* Autor:           Dipl.-Inf., Dipl.-Ing. (FH) Michael Wilhelm
   Firma:           HS Harz, FB AI
   Version:         1.1
   Ersterstellung:  05.09.2004
   Letzte Änderung: 12.11.2010
*/

// Vectorbeispiel mit einer Klasse
// typisiert mit <myKlasse>

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import java.io.*;

import java.util.Vector;

public class Vector01 {

   private static void pause() {
    try {
      System.in.read();
    }
    catch (IOException e) {
    }
  }  // pause


  public static void main(String[] args) {
    Vector<myKlasse> myVector = new Vector<myKlasse>();
    myKlasse kl;  // def
    kl = new myKlasse(12,123);  // create
      myVector.add(kl);  // eingefügt
    kl = new myKlasse(123,55);  // create
      myVector.add(kl);  // eingefügt
    kl = new myKlasse(33,-444);  // create
      myVector.add(kl);  // eingefügt
    kl = new myKlasse(12333,-555);  // create
      myVector.add(kl);  // eingefügt


    System.out.println("Auslesen");
    for (int i=0; i<myVector.size(); i++) {
      kl = myVector.elementAt(i);
      kl.print();
    }
    pause();
  }

}


class myKlasse {
  int a;
  int b;

  myKlasse(int a, int b) {
    this.a = a;
    this.b = b;
  }

  public void print() {
    System.out.println("a: "+a+"   b:"+b);
  }


}


